sfoarduino
Posts: 1
Joined: Fri Nov 13, 2020 11:35 pm

Raspberry Pi 400 wiringpi issue

Fri Nov 13, 2020 11:41 pm

Hi All,

I am trying to run wiringpi on the rpi400. The following command give me the following error. Can someone please help solve this issue? I would really appreciate it.

Code: Select all

pi@raspberrypi:~ $ gpio -v
gpio version: 2.60
Copyright (c) 2012-2018 Gordon Henderson
This is free software with ABSOLUTELY NO WARRANTY.
For details type: gpio -warranty

Raspberry Pi Details:
  Type: Unknown19, Revision: 00, Memory: 4096MB, Maker: Sony 
  * Device tree is enabled.
  *--> Raspberry Pi 400 Rev 1.0
  * This Raspberry Pi supports user-level GPIO access.
pi@raspberrypi:~ $ gpio readall
Oops - unable to determine board type... model: 19
Thanks in advanced.

fanoush
Posts: 664
Joined: Mon Feb 27, 2012 2:37 pm

Re: Raspberry Pi 400 wiringpi issue

Mon Nov 23, 2020 10:21 am

It needs some changes to add support for PI400, see issue https://github.com/WiringPi/WiringPi/issues/88

Got it working here, needed it for xc3sprog to flash my Pano G1 from Pi400 so only GPIO access is tested.
If you can't build from source, maybe I could attach deb file to that issue when I get back home.

hippy
Posts: 8965
Joined: Fri Sep 09, 2011 10:34 pm
Location: UK

Re: Raspberry Pi 400 wiringpi issue

Mon Nov 23, 2020 4:42 pm

Rather than adding a new identifier every time a new Pi arrives it would be better if someone could rework the identifying codes to use SoC type to default to how things likely are. That won't resolve all maintenance issues but will make updates and failures less frequent.

If deprecated Wiring Pi and its utility programs are to be included with a base install of Raspberry Pi OS or made available through the repository it would be nice if they could be kept up to date some way.

User avatar
DougieLawson
Posts: 40593
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: Raspberry Pi 400 wiringpi issue

Mon Nov 23, 2020 5:08 pm

sfoarduino wrote:
Fri Nov 13, 2020 11:41 pm
Hi All,

I am trying to run wiringpi on the rpi400. The following command give me the following error. Can someone please help solve this issue? I would really appreciate it.
Have you read http://wiringpi.com/wiringpi-deprecated/
It won't work on any Raspberry after the RPi4B http://wiringpi.com/wiringpi-updated-to ... rry-pi-4b/

Anything you find on Github is an unsupported hack from Gordon's version and likely unsupported and unsupportable and not ready for RPi400.
Any language using left-hand whitespace for syntax is ridiculous

Any DMs sent on Twitter will be answered next month.
Fake doctors - are all on my foes list.

Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

fanoush
Posts: 664
Joined: Mon Feb 27, 2012 2:37 pm

Re: Raspberry Pi 400 wiringpi issue

Mon Nov 23, 2020 5:49 pm

DougieLawson wrote:
Mon Nov 23, 2020 5:08 pm
Anything you find on Github is an unsupported hack from Gordon's version and likely unsupported and unsupportable and not ready for RPi400.
Yes he wrote it and abandoned it, so what? That happens all the time. Thanks to open source it is no issue as long as someone cares.

Return to “Raspberry Pi 400”